| Face Engine SDK 5.35.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IGlassesEstimator Struct Referenceabstract
Estimators

Glasses estimator interface. More...

`#include <IGlassesEstimator.h>`

Inheritance diagram for fsdk::IGlassesEstimator:

## Public Member Functions
virtual ResultValue< FSDKError, GlassesEstimation > | estimate (const Image &warp) const noexcept=0
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< GlassesEstimation > glassesEstimations) const noexcept=0
| Checks if people are wearing glasses or not for multiple warped images in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Glasses estimator interface.

Note
  This estimator is designed to work with a person face image;

## Member Function Documentation

## ◆ estimate() [1/2]

virtual ResultValue<FSDKError, GlassesEstimation> fsdk::IGlassesEstimator::estimate | ( | const Image & | warp | ) | const
| pure virtual noexcept

brief checks whether person wearing any glasses or not.

Parameters

  [in] | warp | image with warped face;

See also
  IWarper for details.

Returns
  ResultValue with error code and output enum value inside.

See also
  GlassesEstimation, Image, ResultValue and FSDKError for details.

Note
  warp format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IGlassesEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< GlassesEstimation > | glassesEstimations
| ) |  | const
| pure virtual noexcept

Checks if people are wearing glasses or not for multiple warped images in a single estimate function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | glassesEstimations | output GlassesEstimation span.

Returns
  Result with error code.

See also
  Span, GlassesEstimation, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IGlassesEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IGlassesEstimator.h